/*********************************************************************************
 * capifax.h
 *
 * Copyright (c) 2008-2009 Marco Zissen <maz@v3v.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *********************************************************************************/
#ifdef WIN32
#include <windows.h>
#define STDCALL __stdcall
#else
#define STDCALL
#endif
 
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <fcntl.h>
#include <signal.h>

#include "libcapifax.h"

#define APPNAME        "capifax"
#define APPVERSION     "v0.7.3-jmb4"
#define APPCR          "(c) Marco Zissen"

#ifdef WIN32
#ifndef _TM_DEFINED
struct tm {
        int tm_sec;     /* seconds after the minute - [0,59] */
        int tm_min;     /* minutes after the hour - [0,59] */
        int tm_hour;    /* hours since midnight - [0,23] */
        int tm_mday;    /* day of the month - [1,31] */
        int tm_mon;     /* months since January - [0,11] */
        int tm_year;    /* years since 1900 */
        int tm_wday;    /* days since Sunday - [0,6] */
        int tm_yday;    /* days since January 1 - [0,365] */
        int tm_isdst;   /* daylight savings time flag */
        };
#define _TM_DEFINED
#endif
#endif

static void show_usage();
static int param_parser(int argc, char *arg[]);
void signal_handler(int sig_num);
void STDCALL progress(int con, capifax_status_t *progress);
void STDCALL status(int con, capifax_status_t *status);

typedef struct params_t 
{
    char    tiff_file[512];
    char    ident[256];
    char    header[256];
    char    src_no[64];
    char    trg_no[64];
    int     rate;
    int     controller;
    int     ecm;
    int     manual;
    int     single;
    int     loglevel_app;    
    int     loglevel_lib;    
    int     sending;    
    int     success;
} 
params_t;

static params_t m_param;
static int exit_loop = 0;

